package cn.newfeifan.mall.module.distri.controller.admin.applicationforwithdrawalchannel.vo;


import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;


/**
 * 提现明细 Excel 导入 VO
 */

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = false) // 设置 chain = false，避免用户导入有问题
public class ApplicationForWithdrawalChannelImportExcelVO {

    @ExcelProperty("收款方名称")
    private String accountName;

    @ExcelProperty("收款方账号")
    private String accountNumber;

    @ExcelProperty("金额")
    private String money;

    @ExcelProperty("附言/用途")
    private String postscript;

    @ExcelProperty("交易结果")
    private String payResult;

    @ExcelProperty("交易描述")
    private String payDescription;

}
