package cn.newfeifan.mall.module.distri.controller.admin.ordersettlement.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 订单结算表,记录有那些订单参与了本次结算 Response VO")
@Data
@ExcelIgnoreUnannotated
public class OrderSettlementRespVO {

    @Schema(description = "结算二级表ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "14003")
    @ExcelProperty("结算二级表ID")
    private Long id;

    @Schema(description = "结算表ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "3067")
    @ExcelProperty("结算表ID")
    private Long tradeShopSettlementId;

    @Schema(description = "订单ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "16254")
    @ExcelProperty("订单ID")
    private Long tradeOrderId;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}