package cn.newfeifan.mall.module.distri.mq.message.order;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OrderItemMessage {

    /**
     * 总价
     */
    private Long totalPrice;
    /**
     * 单价
     */
    private Long price;
    /**
     * 购买数量
     */
    private Integer productCount;
    /**
     * 单笔订单的购买数量
     */
    private Integer count;

    /**
     * 成本价
     */
    private Long costPrice;

    /**
     * 订单ID
     */
    private Long orderId;

    /**
     * 用户自得积分
     */
    private Long increaseIntegral;

    /**
     * 推荐用户获得积分
     */
    private Long ancestorIncreaseIntegral;

    /**
     * 订单项ID
     */
    private Long orderItemId;

    /**
     * 用户获得冻结最大可用额度
     */
    private Long freezeHighQuota;
}
