package cn.newfeifan.mall.module.distri.controller.admin.socialstatuschangelog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 会员签到身价变化日志分页 Request VO")
@Data
public class UserSignSocialLogRespVO {
    @Schema(description = "编号", example = "8042")
    private Long id;

    @Schema(description = "身价点数在本类别操作的变化值")
    private Long variationValue;

    @Schema(description = "操作时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime createTime;

    @Schema(description = "排序", example = "1")
    private Integer sort;
}
